Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.orkesta.com.tr/llms.txt

Use this file to discover all available pages before exploring further.

➕ Bayi Oluştur

Yeni bir bayi oluşturur veya zaten aynı vergi numarasına ait bayi varsa bayiyi ilgili üye işyeri ile ilişkilendirir. POST https://api-test.fincraft.com.tr/api/v1/general/merchant-members/settings/create

Request Body

{
  "memberType": "PRIVATE_COMPANY",
  "externalId": "MM-1001",
  "name": "Demo Bayi",
  "address": "İstanbul",
  "email": "bayi@example.com",
  "phoneNumber": "+905550000000",
  "iban": "TR450006294767877926419521",
  "contactName": "Ali",
  "contactSurname": "Veli",
  "taxNumber": "1234567890",
  "taxOffice": "Beyоğlu"
}

Request Parametreleri

ParametreTipZorunluValidationAçıklama
memberTypeMemberCompanyTypeEvet@NotNullŞirket tipi (PRIVATE_COMPANY, LIMITED_OR_JOINT_STOCK_COMPANY)
externalIdStringEvet@NotBlankDış sistem üye/bayi ID
nameStringEvet@NotBlankÜye/bayi adı
addressStringEvet@NotBlankAdres
emailStringEvet@NotBlank, @EmailE-posta
phoneNumberStringEvet@NotBlankTelefon
ibanStringEvet@NotBlankIBAN
contactNameStringEvet@NotBlankİlgili kişi adı
contactSurnameStringEvet@NotBlankİlgili kişi soyadı
taxNumberStringEvet@NotBlankVergi numarası
taxOfficeStringEvet@NotBlankVergi dairesi

cURL Örneği

curl -X POST https://api-test.fincraft.com.tr/api/v1/general/merchant-members/settings/create \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "memberType": "PRIVATE_COMPANY",
    "externalId": "MM-1001",
    "name": "Demo Bayi",
    "address": "İstanbul",
    "email": "bayi@example.com",
    "phoneNumber": "+905550000000",
    "iban": "TR450006294767877926419521",
    "contactName": "Ali",
    "contactSurname": "Veli",
    "taxNumber": "1234567890",
    "taxOffice": "Beyоğlu"
  }'